> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Clear Fan Notes (/api-reference/fans/clear-fan-notes)

Clear notes for a specific fan.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml delete /api/{account}/fans/{fan_id}/notes
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/fans/{fan_id}/notes:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
      - in: path
        name: fan_id
        description: Fan's OnlyFans ID
        example: 123
        required: true
        schema:
          type: string
    delete:
      summary: Clear Fan Notes
      operationId: clearFanNotes
      description: Clear notes for a specific fan.
      parameters: []
      responses:
        "200":
          description: ""
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    view: x
                    avatar: https://public.onlyfans.com/files/i/i2/i25/.../.../avatar.jpg
                    avatarThumbs:
                      c50: https://thumbs.onlyfans.com/public/files/thumbs/c50/i/i2/i25/.../.../avatar.jpg
                      c144: https://thumbs.onlyfans.com/public/files/thumbs/c144/i/i2/i25/.../.../avatar.jpg
                    header: https://public.onlyfans.com/files/c/cs/cse/.../.../header_image.jpg
                    headerSize:
                      width: 4386
                      height: 1224
                    headerThumbs:
                      w480: https://thumbs.onlyfans.com/public/files/thumbs/w480/c/cs/cse/.../.../header_image.jpg
                      w760: https://thumbs.onlyfans.com/public/files/thumbs/w760/c/cs/cse/.../.../header_image.jpg
                    id: 123
                    name: Name
                    username: username
                    canLookStory: true
                    canCommentStory: true
                    hasNotViewedStory: false
                    isVerified: true
                    canPayInternal: true
                    hasScheduledStream: false
                    hasStream: false
                    hasStories: false
                    tipsEnabled: true
                    tipsTextEnabled: true
                    tipsMin: 5
                    tipsMinInternal: 1
                    tipsMax: 200
                    canEarn: true
                    canAddSubscriber: true
                    subscribePrice: 12.99
                    subscriptionBundles:
                      - id: 123
                        discount: 50
                        duration: 3
                        price: 19.49
                        canBuy: true
                    displayName: ""
                    notice: foo
                    isPaywallRequired: true
                    isRestricted: false
                    canRestrict: true
                    subscribedBy: true
                    subscribedByExpire: false
                    subscribedByExpireDate: 2022-01-01T00:00:00+00:00
                    subscribedByAutoprolong: false
                    subscribedIsExpiredNow: false
                    currentSubscribePrice: 0
                    subscribedOn: null
                    subscribedOnExpiredNow: true
                    subscribedOnDuration: 7 days
                    listsStates:
                      - id: following
                        type: following
                        name: Following
                        hasUser: true
                        canAddUser: false
                        cannotAddUserReason: ALREADY_EXISTS
                      - id: fans
                        type: fans
                        name: Fans
                        hasUser: false
                        canAddUser: false
                        cannotAddUserReason: null
                      - id: recent
                        type: recent
                        name: Recent (last 24 hours)
                        hasUser: false
                        canAddUser: false
                        cannotAddUserReason: SYSTEM_LIST
                      - id: tagged
                        type: tagged
                        name: Tagged
                        hasUser: true
                        canAddUser: false
                        cannotAddUserReason: ALREADY_EXISTS
                      - id: friends
                        type: friends
                        name: Friends
                        hasUser: false
                        canAddUser: true
                        cannotAddUserReason: null
                      - id: muted
                        type: muted
                        name: Muted
                        hasUser: false
                        canAddUser: true
                        cannotAddUserReason: null
                    canReport: true
                    canReceiveChatMessage: true
                    hideChat: false
                    lastSeen: 2022-01-01T00:00:00+00:00
                    isPerformer: true
                    isRealPerformer: true
                    subscribedByData:
                      price: 0
                      newPrice: 0
                      regularPrice: 12.99
                      subscribePrice: 12.99
                      discountPercent: 0
                      discountPeriod: 1
                      subscribeAt: 2022-01-01T00:00:00+00:00
                      expiredAt: 2022-01-01T00:00:00+00:00
                      renewedAt: null
                      discountFinishedAt: null
                      discountStartedAt: null
                      status: Set to Expire
                      isMuted: false
                      unsubscribeReason: No reason given
                      duration: 5 months
                      showPostsInFeed: true
                      subscribes:
                        - id: 123
                          userId: 123
                          subscriberId: 123
                          date: 2022-01-01T00:00:00+00:00
                          duration: 123
                          startDate: 2022-01-01T00:00:00+00:00
                          expireDate: 2022-01-01T00:00:00+00:00
                          cancelDate: null
                          price: 0
                          regularPrice: 12.99
                          discount: 0
                          earningId: 0
                          action: subscribe
                          type: trial
                          offerStart: 2022-01-01T00:00:00+00:00
                          offerEnd: null
                          isCurrent: true
                      hasActivePaidSubscriptions: false
                    subscribedOnData:
                      price: 0
                      newPrice: 0
                      regularPrice: 0
                      subscribePrice: 0
                      discountPercent: 0
                      discountPeriod: 1
                      subscribeAt: 2022-01-01T00:00:00+00:00
                      expiredAt: 2022-01-01T00:00:00+00:00
                      renewedAt: null
                      discountFinishedAt: null
                      discountStartedAt: null
                      status: null
                      isMuted: false
                      unsubscribeReason: No reason given
                      duration: 7 days
                      tipsSumm: 0
                      subscribesSumm: 0
                      messagesSumm: 0
                      postsSumm: 0
                      streamsSumm: 0
                      totalSumm: 0
                      subscribes: []
                      hasActivePaidSubscriptions: false
                    canTrialSend: false
                    isBlocked: false
                    canUnsubscribe: true
                    isPendingAutoprolong: false
                  _meta:
                    _credits:
                      used: 1
                      balance: 999999904
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 1000
                      limit_day: 50000
                      remaining_minute: 999
                      remaining_day: 49992
                properties:
                  data:
                    type: object
                    properties:
                      view:
                        type: string
                        example: x
                      avatar:
                        type: string
                        example: https://public.onlyfans.com/files/i/i2/i25/.../.../avatar.jpg
                      avatarThumbs:
                        type: object
                        properties:
                          c50:
                            type: string
                            example: https://thumbs.onlyfans.com/public/files/thumbs/c50/i/i2/i25/.../.../avatar.jpg
                          c144:
                            type: string
                            example: https://thumbs.onlyfans.com/public/files/thumbs/c144/i/i2/i25/.../.../avatar.jpg
                      header:
                        type: string
                        example: https://public.onlyfans.com/files/c/cs/cse/.../.../header_image.jpg
                      headerSize:
                        type: object
                        properties:
                          width:
                            type: integer
                            example: 4386
                          height:
                            type: integer
                            example: 1224
                      headerThumbs:
                        type: object
                        properties:
                          w480:
                            type: string
                            example: https://thumbs.onlyfans.com/public/files/thumbs/w480/c/cs/cse/.../.../header_image.jpg
                          w760:
                            type: string
                            example: https://thumbs.onlyfans.com/public/files/thumbs/w760/c/cs/cse/.../.../header_image.jpg
                      id:
                        type: integer
                        example: 123
                      name:
                        type: string
                        example: Name
                      username:
                        type: string
                        example: username
                      canLookStory:
                        type: boolean
                        example: true
                      canCommentStory:
                        type: boolean
                        example: true
                      hasNotViewedStory:
                        type: boolean
                        example: false
                      isVerified:
                        type: boolean
                        example: true
                      canPayInternal:
                        type: boolean
                        example: true
                      hasScheduledStream:
                        type: boolean
                        example: false
                      hasStream:
                        type: boolean
                        example: false
                      hasStories:
                        type: boolean
                        example: false
                      tipsEnabled:
                        type: boolean
                        example: true
                      tipsTextEnabled:
                        type: boolean
                        example: true
                      tipsMin:
                        type: integer
                        example: 5
                      tipsMinInternal:
                        type: integer
                        example: 1
                      tipsMax:
                        type: integer
                        example: 200
                      canEarn:
                        type: boolean
                        example: true
                      canAddSubscriber:
                        type: boolean
                        example: true
                      subscribePrice:
                        type: number
                        example: 12.99
                      subscriptionBundles:
                        type: array
                        example:
                          - id: 123
                            discount: 50
                            duration: 3
                            price: 19.49
                            canBuy: true
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 123
                            discount:
                              type: integer
                              example: 50
                            duration:
                              type: integer
                              example: 3
                            price:
                              type: number
                              example: 19.49
                            canBuy:
                              type: boolean
                              example: true
                      displayName:
                        type: string
                        example: ""
                      notice:
                        type: string
                        example: foo
                      isPaywallRequired:
                        type: boolean
                        example: true
                      isRestricted:
                        type: boolean
                        example: false
                      canRestrict:
                        type: boolean
                        example: true
                      subscribedBy:
                        type: boolean
                        example: true
                      subscribedByExpire:
                        type: boolean
                        example: false
                      subscribedByExpireDate:
                        type: string
                        example: 2022-01-01T00:00:00+00:00
                      subscribedByAutoprolong:
                        type: boolean
                        example: false
                      subscribedIsExpiredNow:
                        type: boolean
                        example: false
                      currentSubscribePrice:
                        type: integer
                        example: 0
                      subscribedOn:
                        type: string
                        example: null
                        nullable: true
                      subscribedOnExpiredNow:
                        type: boolean
                        example: true
                      subscribedOnDuration:
                        type: string
                        example: 7 days
                      listsStates:
                        type: array
                        example:
                          - id: following
                            type: following
                            name: Following
                            hasUser: true
                            canAddUser: false
                            cannotAddUserReason: ALREADY_EXISTS
                          - id: fans
                            type: fans
                            name: Fans
                            hasUser: false
                            canAddUser: false
                            cannotAddUserReason: null
                          - id: recent
                            type: recent
                            name: Recent (last 24 hours)
                            hasUser: false
                            canAddUser: false
                            cannotAddUserReason: SYSTEM_LIST
                          - id: tagged
                            type: tagged
                            name: Tagged
                            hasUser: true
                            canAddUser: false
                            cannotAddUserReason: ALREADY_EXISTS
                          - id: friends
                            type: friends
                            name: Friends
                            hasUser: false
                            canAddUser: true
                            cannotAddUserReason: null
                          - id: muted
                            type: muted
                            name: Muted
                            hasUser: false
                            canAddUser: true
                            cannotAddUserReason: null
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              example: following
                            type:
                              type: string
                              example: following
                            name:
                              type: string
                              example: Following
                            hasUser:
                              type: boolean
                              example: true
                            canAddUser:
                              type: boolean
                              example: false
                            cannotAddUserReason:
                              type: string
                              example: ALREADY_EXISTS
                      canReport:
                        type: boolean
                        example: true
                      canReceiveChatMessage:
                        type: boolean
                        example: true
                      hideChat:
                        type: boolean
                        example: false
                      lastSeen:
                        type: string
                        example: 2022-01-01T00:00:00+00:00
                      isPerformer:
                        type: boolean
                        example: true
                      isRealPerformer:
                        type: boolean
                        example: true
                      subscribedByData:
                        type: object
                        properties:
                          price:
                            type: integer
                            example: 0
                          newPrice:
                            type: integer
                            example: 0
                          regularPrice:
                            type: number
                            example: 12.99
                          subscribePrice:
                            type: number
                            example: 12.99
                          discountPercent:
                            type: integer
                            example: 0
                          discountPeriod:
                            type: integer
                            example: 1
                          subscribeAt:
                            type: string
                            example: 2022-01-01T00:00:00+00:00
                          expiredAt:
                            type: string
                            example: 2022-01-01T00:00:00+00:00
                          renewedAt:
                            type: string
                            example: null
                            nullable: true
                          discountFinishedAt:
                            type: string
                            example: null
                            nullable: true
                          discountStartedAt:
                            type: string
                            example: null
                            nullable: true
                          status:
                            type: string
                            example: Set to Expire
                          isMuted:
                            type: boolean
                            example: false
                          unsubscribeReason:
                            type: string
                            example: No reason given
                          duration:
                            type: string
                            example: 5 months
                          showPostsInFeed:
                            type: boolean
                            example: true
                          subscribes:
                            type: array
                            example:
                              - id: 123
                                userId: 123
                                subscriberId: 123
                                date: 2022-01-01T00:00:00+00:00
                                duration: 123
                                startDate: 2022-01-01T00:00:00+00:00
                                expireDate: 2022-01-01T00:00:00+00:00
                                cancelDate: null
                                price: 0
                                regularPrice: 12.99
                                discount: 0
                                earningId: 0
                                action: subscribe
                                type: trial
                                offerStart: 2022-01-01T00:00:00+00:00
                                offerEnd: null
                                isCurrent: true
                            items:
                              type: object
                              properties:
                                id:
                                  type: integer
                                  example: 123
                                userId:
                                  type: integer
                                  example: 123
                                subscriberId:
                                  type: integer
                                  example: 123
                                date:
                                  type: string
                                  example: 2022-01-01T00:00:00+00:00
                                duration:
                                  type: integer
                                  example: 123
                                startDate:
                                  type: string
                                  example: 2022-01-01T00:00:00+00:00
                                expireDate:
                                  type: string
                                  example: 2022-01-01T00:00:00+00:00
                                cancelDate:
                                  type: string
                                  example: null
                                  nullable: true
                                price:
                                  type: integer
                                  example: 0
                                regularPrice:
                                  type: number
                                  example: 12.99
                                discount:
                                  type: integer
                                  example: 0
                                earningId:
                                  type: integer
                                  example: 0
                                action:
                                  type: string
                                  example: subscribe
                                type:
                                  type: string
                                  example: trial
                                offerStart:
                                  type: string
                                  example: 2022-01-01T00:00:00+00:00
                                offerEnd:
                                  type: string
                                  example: null
                                  nullable: true
                                isCurrent:
                                  type: boolean
                                  example: true
                          hasActivePaidSubscriptions:
                            type: boolean
                            example: false
                      subscribedOnData:
                        type: object
                        properties:
                          price:
                            type: integer
                            example: 0
                          newPrice:
                            type: integer
                            example: 0
                          regularPrice:
                            type: integer
                            example: 0
                          subscribePrice:
                            type: integer
                            example: 0
                          discountPercent:
                            type: integer
                            example: 0
                          discountPeriod:
                            type: integer
                            example: 1
                          subscribeAt:
                            type: string
                            example: 2022-01-01T00:00:00+00:00
                          expiredAt:
                            type: string
                            example: 2022-01-01T00:00:00+00:00
                          renewedAt:
                            type: string
                            example: null
                            nullable: true
                          discountFinishedAt:
                            type: string
                            example: null
                            nullable: true
                          discountStartedAt:
                            type: string
                            example: null
                            nullable: true
                          status:
                            type: string
                            example: null
                            nullable: true
                          isMuted:
                            type: boolean
                            example: false
                          unsubscribeReason:
                            type: string
                            example: No reason given
                          duration:
                            type: string
                            example: 7 days
                          tipsSumm:
                            type: integer
                            example: 0
                          subscribesSumm:
                            type: integer
                            example: 0
                          messagesSumm:
                            type: integer
                            example: 0
                          postsSumm:
                            type: integer
                            example: 0
                          streamsSumm:
                            type: integer
                            example: 0
                          totalSumm:
                            type: integer
                            example: 0
                          subscribes:
                            type: array
                            example: []
                          hasActivePaidSubscriptions:
                            type: boolean
                            example: false
                      canTrialSend:
                        type: boolean
                        example: false
                      isBlocked:
                        type: boolean
                        example: false
                      canUnsubscribe:
                        type: boolean
                        example: true
                      isPendingAutoprolong:
                        type: boolean
                        example: false
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 999999904
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 1000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 999
                          remaining_day:
                            type: integer
                            example: 49992
      tags:
        - Fans
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````